import pandas as pd
import numpy as np
from trading_env import TradingEnv  # 이 부분을 실제 TradingEnv 클래스의 경로로 변경하세요

def backtest_strategy(data, model):
    env = TradingEnv(data)
    state = env.reset()
    total_reward = 0
    done = False

    while not done:
        state = state.reshape(1, -1)  # 상태를 모델이 예측할 수 있는 형식으로 변환
        action = np.argmax(model.predict(state))
        next_state, reward, done, _ = env.step(action)
        total_reward += reward
        state = next_state

    return total_reward
